<?xml version="1.0" encoding="utf-8" ?>
<configuration>
  <configSections>
    <section name="unity" type="Microsoft.Practices.Unity.Configuration.UnityConfigurationSection, Microsoft.Practices.Unity.Configuration"/>
  </configSections>

  <unity xmlns="http://schemas.microsoft.com/practices/2010/unity">

    <container name="MAINAPP">
      <register type="Fzerpns.CommonService.IAppUpdate,Fzerpns.CommonService" mapTo="Fzerpns.CommonService.AppUpdateImpl,Fzerpns.CommonService">
      </register>

      <register type="Fzerpns.CommonService.IMyLog,Fzerpns.CommonService" name="textlog" mapTo="Fzerpns.LogLibrary.LogManager,Fzerpns.LogLibrary">
        <lifetime type="singleton"/>
      </register>

      
      <register type="Fzerpns.UIService.IServiceContainer,Fzerpns.UIService" mapTo="ClientMainUIImpl.MainForm,WinBox.ClientMainUIImpl">
        <lifetime type="singleton"/>
      </register>

      <register type="Fzerpns.UIService.ITopPanel,Fzerpns.UIService" mapTo="ClientMainUIImpl.TopPanelImpControl,WinBox.ClientMainUIImpl">
        <lifetime type="singleton"/>
      </register>

      <register type="Fzerpns.CommonService.INotifyForm,Fzerpns.CommonService" mapTo="ClientMainUIImpl.NotifyImpForm,WinBox.ClientMainUIImpl">
      </register>

      <register type="Fzerpns.UIService.INavMenu,Fzerpns.UIService" mapTo="ClientMainUIImpl.NavMenuBlankImpl,WinBox.ClientMainUIImpl">
        <lifetime type="singleton"/>
      </register>

      <register type="Fzerpns.UIService.IMainUIPresenter,Fzerpns.UIService" mapTo="ClientMainUIImpl.MainUIPresenter,WinBox.ClientMainUIImpl">
        <lifetime type="singleton"/>
      </register>

      <!--<register type="Fzerpns.UIService.ILogin,Fzerpns.UIService" mapTo="ClientMainUIImpl.LoginForm,ClientMainUIImpl">
      </register>-->

      <register type="Fzerpns.UIService.IAppAbout,Fzerpns.UIService" mapTo="WMS.Client.AboutForm,WinBox.ClientRun">
      </register>

      <register type="Fzerpns.CommonService.IMyCache,Fzerpns.CommonService" mapTo="CachingLibrary.MyCacheManager,CachingLibrary">
        <lifetime type="singleton"/>
      </register>

      <register type="Fzerpns.CommonService.IUserConfig,Fzerpns.CommonService" mapTo="ClientConfigLibrary.UserConfigImpl,ClientConfigLibrary">
        <lifetime type="singleton"/>
      </register>

      <!--本地打印机配置-->
      <!--<register type="Fzerpns.CommonService.ILocalPrinterConfig,Fzerpns.CommonService" mapTo="ClientConfigLibrary.LocalPrinterConfigImpl,ClientConfigLibrary">
        <lifetime type="singleton"/>
      </register>-->

      <register type="Fzerpns.UIService.IUISkin,Fzerpns.UIService" mapTo="UISkinLibrary.UISkinImpl,UISkinLibrary">
        <lifetime type="singleton"/>
      </register>

      <!--<register type="Fzerpns.UIService.IMultiLanguage,Fzerpns.UIService" mapTo="WMS.MultiLanguageModule.MultiLangImpl,WMS.MultiLanguageModule">
        <lifetime type="singleton"/>
      </register>-->

      <register type="Fzerpns.CommonService.IWebForm,Fzerpns.CommonService" mapTo="Fzerpns.MyWebBrowser2.MyChildBrowserForm,Fzerpns.MyWebBrowser2">
      </register>

      <register type="Fzerpns.CommonService2.IWebForm2,Fzerpns.CommonService2" mapTo="Fzerpns.MyWebBrowser2.MyChildBrowserForm,Fzerpns.MyWebBrowser2">
      </register>

      <register type="Fzerpns.CommonService2.ICustomExtend,Fzerpns.CommonService2" mapTo="WinBox.ClientMainUIImpl.MyWBCustomExtend,WinBox.ClientMainUIImpl">
      </register>

      <!--<register type="Fzerpns.PrinterTool.UIReports.IUIReportPersistenceProvider,Fzerpns.PrinterTool"
                mapTo="Fzerpns.PrinterTool.UIReports.DBUIReportPersistenceProvider,Fzerpns.PrinterTool">
        <lifetime type="singleton"/>
      </register>-->

      <!--<register type="Fzerpns.CommonService.IServiceYcTalk,Fzerpns.CommonService" mapTo="Fzerpns.TalkImplLibrary.ImpFTalkService,Fzerpns.TalkImplLibrary">
        <lifetime type="singleton"/>
      </register>-->

      <register type="Fzerpns.IECore.IWebBrowserVersionProcessor,Fzerpns.IECore" name="version8" mapTo="Fzerpns.IECore.WebBrowserVersion8Processor,Fzerpns.IECore">
      </register>

      <register type="Fzerpns.IECore.IWebDocCompletedProcessor,Fzerpns.IECore" name="aspxlogin" mapTo="Fzerpns.MyWebBrowser2.CompletedProcessor_AutoLogin,Fzerpns.MyWebBrowser2">
      </register>

      <register type="Fzerpns.IECore.IWebDocCompletedProcessor,Fzerpns.IECore" name="phplogin" mapTo="Fzerpns.MyWebBrowser2.WebDocCmpl_Login,Fzerpns.MyWebBrowser2">
      </register>

      <register type="Fzerpns.IECore.IWebDocCompletedProcessor,Fzerpns.IECore" name="dcuberegister" mapTo="Fzerpns.MyWebBrowser2.CompletedProcessor_DCube,Fzerpns.MyWebBrowser2">
      </register>

      <register type="Fzerpns.IECore.IWebDocCompletedProcessor,Fzerpns.IECore" name="machineinfo" mapTo="Fzerpns.MyWebBrowser2.CompletedProcessor_MachineInfo,Fzerpns.MyWebBrowser2">
      </register>
      
      <register type="Fzerpns.IECore.IWebDocCompletedProcessor,Fzerpns.IECore" name="lodopregister" mapTo="Fzerpns.MyWebBrowser2.CompletedProcessor_Lodop,Fzerpns.MyWebBrowser2">
      </register>
     
      <register type="Fzerpns.IECore.IWebDocCompletedProcessor,Fzerpns.IECore" name="lakalaregister" mapTo="Fzerpns.MyWebBrowser2.CompletedProcessor_Lakala,Fzerpns.MyWebBrowser2">
      </register>

      <register type="Fzerpns.IECore.IWebDocCompletedProcessor,Fzerpns.IECore" name="mwrfreaderregister" mapTo="Fzerpns.MyWebBrowser2.CompletedProcessor_MwRFReader,Fzerpns.MyWebBrowser2">
      </register>

      <register type="Fzerpns.IECore.IWebDocCompletedProcessor,Fzerpns.IECore" name="sonicwavenfcregister" mapTo="Fzerpns.MyWebBrowser2.CompletedProcessor_SonicWaveNFC,Fzerpns.MyWebBrowser2">
      </register>
      
      
      <register type="Fzerpns.IECore.IWebNavigateFilter,Fzerpns.IECore" name="fzerpwin" mapTo="Fzerpns.MyWebBrowser2.NavFilter_fzerpweb,Fzerpns.MyWebBrowser2">
      </register>

      <!--<register type="Fzerpns.IECore.IWebNavigateFilter,Fzerpns.IECore" name="iecacheclear" mapTo="Fzerpns.MyWebBrowser2.NavFilter_IECacheProcessor,Fzerpns.MyWebBrowser2">
      </register>-->
      <register type="Fzerpns.IECore.IWebNavigateFilter,Fzerpns.IECore" name="fzerpprint" mapTo="Fzerpns.MyWebPrint2.NavFilter_fzerpweb_print,Fzerpns.MyWebPrint2">
      </register>

      <register type="Fzerpns.IECore.IMyBrowserVersion,Fzerpns.IECore"  mapTo="Fzerpns.MyWebBrowser2.BrowserVersion,Fzerpns.MyWebBrowser2">
      </register>

      <register type="Fzerpns.CommonService.IBillPrint,Fzerpns.CommonService" mapTo="Fzerpns.PrinterTool.BillPrintImpl,Fzerpns.PrinterTool">
      </register>

      <register type="Fzerpns.CommonService2.IPlugInConfig,Fzerpns.CommonService2" mapTo="Fzerpns.MyWebBrowser2.PlugInImplementation,Fzerpns.MyWebBrowser2">
        <lifetime type="singleton"/>
      </register>

      <register type="Fzerpns.CommonService2.IQRCode,Fzerpns.CommonService2" mapTo="Fzerpns.MyWebTools.QRCodeForm,Fzerpns.MyWebTools">
      </register>

    </container>

  </unity>

</configuration>
